/* Base Styles - Default for mobile */
body {
  background-color: #fffce5;
}

/* div {
  border: 1px solid black;
} */

html {
  scroll-behavior: smooth;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 20px;
}

.logo {
  font-size: 2rem;
  color: rgb(0, 0, 0);
  font-family: "Montserrat", sans-serif;
  font-weight: 600;
  text-decoration: none;
}

.logo_container {
  display: flex;
  align-items: center;
}

.button-2 {
  background-color: rgba(51, 51, 51, 0.05);
  border-radius: 8px;
  border-width: 0;
  color: #333333;
  cursor: pointer;
  display: inline-block;
  font-family: "Montserrat", sans-serif;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  list-style: none;
  margin: 0;
  height: 40px;
  padding: 10px 12px;
  text-align: center;
  transition: all 200ms;
  vertical-align: baseline;
  white-space: nowrap;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.button-16 {
  background-color: #f8f9fa;
  border: 1px solid #f8f9fa;
  border-radius: 4px;
  color: #3c4043;
  cursor: pointer;
  font-family: arial, sans-serif;
  font-size: 14px;
  height: 40px;
  line-height: 27px;
  min-width: 54px;
  padding: 0 16px;
  text-align: center;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  white-space: pre;
}

.button-16:hover {
  border-color: #dadce0;
  box-shadow: rgba(0, 0, 0, 0.1) 0 1px 1px;
  color: #202124;
}

.button-16:focus {
  border-color: #4285f4;
  outline: none;
}

.button-9 {
  appearance: button;
  backface-visibility: hidden;
  background-color: #405cf5;
  border-radius: 6px;
  border-width: 0;
  box-shadow: rgba(50, 50, 93, 0.1) 0 0 0 1px inset,
  rgba(50, 50, 93, 0.1) 0 2px 5px 0, rgba(0, 0, 0, 0.07) 0 1px 1px 0;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  font-family: -apple-system, system-ui, "Segoe UI", Roboto, "Helvetica Neue",
  Ubuntu, sans-serif;
  font-size: 100%;
  height: 40px;
  line-height: 1.15;
  margin: 12px 0 0;
  outline: none;
  overflow: hidden;
  padding: 0 25px;
  position: relative;
  text-align: center;
  text-transform: none;
  transform: translateZ(0);
  transition: all 0.2s, box-shadow 0.08s ease-in;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
}

.button-9:disabled {
  cursor: default;
}

.button-9:focus {
  box-shadow: rgba(50, 50, 93, 0.1) 0 0 0 1px inset,
  rgba(50, 50, 93, 0.2) 0 6px 15px 0, rgba(0, 0, 0, 0.1) 0 2px 2px 0,
  rgba(50, 151, 211, 0.3) 0 0 0 4px;
}

.button-8 {
  background-color: #e1ecf4;
  border-radius: 3px;
  border: 1px solid #7aa7c7;
  box-shadow: rgba(255, 255, 255, 0.7) 0 1px 0 0 inset;
  box-sizing: border-box;
  color: #39739d;
  cursor: pointer;
  display: inline-block;
  font-family: -apple-system, system-ui, "Segoe UI", "Liberation Sans",
  sans-serif;
  font-size: 13px;
  font-weight: 400;
  line-height: 1.15385;
  margin: 0;
  outline: none;
  padding: 8px 0.8em;
  position: relative;
  text-align: center;
  text-decoration: none;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: baseline;
  white-space: nowrap;
}

.button-8:hover,
.button-8:focus {
  background-color: #b3d3ea;
  color: #2c5777;
}

.button-8:focus {
  box-shadow: 0 0 0 4px rgba(0, 149, 255, 0.15);
}

.button-8:active {
  background-color: #a0c7e4;
  box-shadow: none;
  color: #2c5777;
}

.hero-section {
  margin-top: 60px;
  margin-left: 10px;
  margin-right: 10px;
}
.hero-img {
  max-width: 100%;
}

.showcase-video {
  margin-top: 30px;
  min-height: 300px;
  border-radius: 10px;
}

.how-to {
  margin-left: 20px;
  margin-right: 20px;
  margin-top: 40px;
}

.upload-container {
  border: 2px dashed #ccc;
  border-radius: 8px;
  padding: 20px;
  text-align: center;
  align-items: center;
  margin-top: 10px;
  background-color: #fdfcf5;
  position: relative;
}

.upload-message {
  margin-bottom: 20px;
}

.upload-icon {
  font-size: 36px;
}

.browse-btn {
  background-color: #ddd;
  border: none;
  padding: 8px 16px;
  cursor: pointer;
  border-radius: 4px;
}

.file-input {
  display: none;
}

.upload-container:hover {
  border-color: #aaa;
}

.upload-container.drag-over {
  background-color: #f0f0f0;
}

.hamburger {
  cursor: pointer;
  height: 25px;
}

.hamburger .line {
  display: block;
  width: 30px;
  height: 5px;
  margin-bottom: 5px;
  background-color: black;
}

.nav__link {
  position: fixed;
  width: 100%;
  top: 2rem;
  background-color: #f8f9fa;
}

.nav__link a {
  display: block;
  color: #000000;
  text-decoration: none;
  text-align: center;
  padding: 10px 0;
  margin-left: 20px;
  font-family: "Montserrat", sans-serif;
}

.ph-badge-link {
  padding: 0 !important;
  margin-top: 0;
  margin-bottom: 0;
  display: inline-flex !important;
  align-items: center;
  align-self: center;
}

.ph-badge-link img {
  display: block;
  vertical-align: middle;
}

.nav__link_mobile {
  display: flex;
  flex-direction: column;
  background-color: #e7f7b0;
  justify-content: center;
  align-items: center;
  margin-top: 10px;
  border-radius: 20px;
}

.nav__link_mobile a {
  margin-top: 10px;
  font-size: 20px;
  padding: 10px;
  text-decoration: none;
}

.hide {
  display: none;
}

.login-btn,
.get-started-btn {
  font-family: "Montserrat", sans-serif;
  margin-top: 0;
}

.main-title {
  font-size: 3.5rem;
  font-family: "Lora", serif;
  line-height: 1;
}

.sub-title {
  font-size: 1.5rem;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  margin-top: 40px;
  line-height: 1.5;
}

.main-title,
.sub-title {
  text-align: center;
}

.upload-widget {
  min-width: 400px;
  min-height: 200px;
  margin-top: 20px;
  margin-bottom: 20px;
  text-align: center;
  border: 2px dashed #ccc;
  cursor: pointer;
  border-radius: 10px;
  justify-content: space-around;
  display: flex;
  flex-direction: column;
}

.features-section {
  margin-left: 20px;
  margin-right: 20px;
}

.options-container {
  width: auto;
  flex: 0;
  display: flex;
  flex-direction: column;
}

.how-to-title {
  font-family: "Lora", serif;
  font-size: 1.5rem;
  font-weight: 600;
  display: flex;
  justify-content: center;
}

.how-to-subtitle {
  font-family: "Montserrat", sans-serif;
  font-size: 1.3rem;
}

.how-to-item-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 20px;
}

.how-to-subtitle {
  margin-top: 20px;
}

.item-number {
  font-size: 2rem;
  font-weight: 500;
  font-family: "Montserrat", sans-serif;
}

.item-desc {
  font-size: 1.3rem;
  margin-left: 20px;
  font-family: "Montserrat", sans-serif;
  line-height: 1.5;
}

.features-section {
  margin-top: 50px;
}

.feature-title {
  font-family: "Lora", serif;
  font-size: 1.5rem;
  font-weight: 600;
}

.feat-containers {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1 fr;
  row-gap: 30px;
}

.feat-containers {
  margin-top: 30px;
}
.faq-accordion-container {
  display: flex;
  flex-direction: row;
  width: 100%;
}

.feature-item-title {
  font-family: "Lora", serif;
  font-size: 1.5rem;
  font-weight: 600;
}

.feature-item-description {
  font-family: "Montserrat", sans-serif;
  font-size: 1.3rem;
  margin-top: 10px;
  line-height: 1.5;
  max-width: 90%;
}

.feature-item-title,
.feature-item-description {
  text-align: center;
}

.cta-1 {
  margin-top: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.cta-heading {
  font-size: 2rem;
  font-weight: 500;
  font-family: "Montserrat", sans-serif;
}

.cta-subheading {
  font-family: "Lora", serif;
  font-size: 1rem;
  margin-top: 10px;
}

.faq-section {
  display: flex;
  flex-direction: column;
  margin-top: 100px;
  margin-left: 20px;
  margin-right: 20px;
  justify-content: center;
  align-items: center;
}

.faq-title {
  font-size: 2rem;
  font-family: "Lora", serif;
  margin-bottom: 40px;
}

.faq-title,
.how-to-title,
.feature-title {
  display: flex;
  justify-content: center;
}

.faq-item {
  margin-top: 15px;
  background-color: #fff7cc;
  padding: 20px;
  border-radius: 10px;
}

.faq-accordion-container {
  display: flex;
  flex-direction: column;
}

.faq-title-conainer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  transition: 0.3s ease-out;
}

.faq-item-title {
  font-size: 1.2rem;
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
}

.faq-item-answer {
  margin-top: 10px;
  font-size: 1.2rem;
  font-family: "Montserrat", sans-serif;
}

.pricing-section {
  margin-top: 40px;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.pricing-title {
  margin-top: 40px;
  font-family: "Lora", serif;
  font-size: 1.5rem;
  font-weight: 600;
}
.pricing-container {
  margin-top: 20px;
  display: grid;
  row-gap: 20px;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
}

.card {
  background-color: #ffffff; /* White background */
  border-radius: 12px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 40px;
  max-width: 280px;
  text-align: left;
}
.card .account-type {
  font-size: 14px;
  color: #7a6f92; /* Light purple text */
  margin-bottom: 8px;
}
.card .price-title {
  font-size: 20px;
  color: #51472c; /* Darker text */
  font-weight: bold;
  margin-bottom: 12px;
  font-family: "Montserrat", sans-serif;
}
.card .description {
  font-size: 14px;
  color: #7a6f92; /* Light purple text */
  margin-bottom: 20px;
  font-family: "Montserrat", sans-serif;
}
.card .price {
  font-size: 48px;
  color: #51472c; /* Darker text */
  font-weight: bold;
  margin-bottom: 20px;
  font-family: "Montserrat", sans-serif;
}
.card button {
  background-color: #ffda44; /* Yellow background */
  color: #51472c; /* Darker text */
  border: none;
  border-radius: 30px;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  width: 100%;
  height: 50px;
  font-weight: 500;
  transition: background-color 0.3s;
  font-family: "Montserrat", sans-serif;
}
.card button:hover {
  background-color: #f0c42e; /* Slightly darker yellow */
}

.credit-info {
  font-size: 14px;
  color: #363636;
}

.checklist {
  list-style: none;
  padding: 0;
  margin-top: 50px;
}
.checklist li {
  display: flex;
  align-items: center;
  margin-bottom: 12px;
  font-size: 16px;
  color: #51472c; /* Darker text */
  font-family: "Montserrat", sans-serif;
}
.checklist li:last-child {
  margin-bottom: 0; /* Remove margin for last item */
}
.checklist .icon {
  background-color: #ffda44; /* Yellow background for the icon */
  color: #51472c; /* Darker color for the checkmark */
  border-radius: 50%;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 24px;
  height: 24px;
  margin-right: 10px;
  font-size: 18px;
}

.cta-2 {
  margin-top: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.prevent-select {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}


.progress-text {
  text-align: center;
  margin-top: 5px;
  font-size: 14px;
  display: none; /* Initially hidden */
}

.refund-btn {
    margin-top: 15px;
    font-size:small;
}


  .footer_section {
    margin: 40px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
  }


.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
  }

  /* Modal content box */
  .modal-content {
    position: relative;
    background: #fff;
    padding: 30px;
    border-radius: 10px;
    text-align: center;
    width: 90%;
    max-width: 400px;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.3);
    animation: fadeIn 0.3s ease-in-out;
  }

  /* Fade-in animation */
  @keyframes fadeIn {
    from {
      opacity: 0;
      transform: scale(0.9);
    }
    to {
      opacity: 1;
      transform: scale(1);
    }
  }

  /* Close button */
  .close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    background: transparent;
    border: none;
    font-size: 20px;
    font-weight: bold;
    color: #999;
    cursor: pointer;
    transition: color 0.3s;
  }

  .close-btn:hover {
    color: #333;
  }

  /* Authentication buttons */
  .auth-btn {
    background: #007BFF;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    margin: 10px 5px;
    font-size: 16px;
    cursor: pointer;
    transition: background 0.3s;
  }

  .auth-btn:hover {
    background: #0056b3;
  }

  /* Modal paragraph and heading styles */
  .modal-content h2 {
    margin-bottom: 15px;
    color: #333;
  }

  .modal-content p {
    margin-bottom: 20px;
    color: #555;
    font-size: 14px;
    line-height: 1.5;
  }


.progress-bar-container {
    width: 100%;
    height: 10px;
    background-color: #f3f3f3;
    border-radius: 5px;
    overflow: hidden;
    margin-top: 10px;
    display: none; /* Initially hidden */
  }

  .progress-bar {
    height: 100%;
    width: 0;
    background-color: #4caf50;
    transition: width 0.3s ease;
  }

  .progress-text {
    text-align: center;
    margin-top: 5px;
    font-size: 14px;
    display: none; /* Initially hidden */
  }

/*88888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888 */

/* Tablet Styles - For screens larger than 600px  (here i m using this for desktop versions*/
@media (min-width: 768px) {
  /* div {
    border: 1px solid black;
  } */

  .container {
    margin-right: 20px;
  }

  .nav {
    margin-left: 10px;
  }

  .nav__link_mobile {
    display: none;
  }

  .main-title {
    font-size: 4rem;
    font-family: "Lora", serif;
    line-height: 1;
  }

  .nav__link {
    display: flex;
    align-items: center;
    position: static;
    width: auto;
    background: none;
  }

  .nav__link a {
    display: inline-block;
    padding: 15px 20px;
    margin-left: 20px;
  }

  .hamburger {
    display: none;
  }

  .login-btn {
    margin-right: 10px;
    width: 132px;
    font-weight: 600;
  }

  .get-started-btn {
    font-weight: 600;
  }

  .hero-section {
    min-height: 500px;
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 50px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
  }

  .main-title,
  .sub-title {
    text-align: start;
  }
  s .sub-title {
    margin-top: 10px;
  }

  .showcase-video {
    margin-top: 10px;
    margin-left: 10px;
    margin-right: 10px;
    grid-row: span 2;
    display: flex;
    justify-content: center;
    flex-direction: column;
  }

  .how-to-title {
    font-family: "Lora", serif;
    font-size: 1.5rem;
    font-weight: 600;
    display: flex;
    justify-content: start;
  }

  .title-section {
    grid-row: 1 / span 1;
  }



  .how-to-title,
  .feature-title {
    display: flex;
    justify-content: start;
  }

  .upload-text {
    display: inline;
  }

  .feat-containers {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1 fr 1fr;
    row-gap: 20px;
  }

  .feature-item-title,
  .feature-item-description {
    text-align: start;
  }

  .pricing-container {
    margin-top: 40px;
    display: grid;
    column-gap: 10px;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
  }

  .faq-accordion-container {
    max-width: 70%;
  }

  .btn-cta {
    width: 250px;
  }

  .footer {
    margin-top: 50px;
    background-color: #797979;
  }



  .card {
    background-color: #ffffff; /* White background */
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 40px;
    max-width: 280px;
    min-width: 250px;
    text-align: left;
  }





}
